Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Size

This defines a size
Contained in: global
Derived from: none
Derived by: none
Group: Core (Math)

#include <ClanLib/core.h>

### public function member index:

### Construction:

`` | `CL_Size` | `()`;
`` | `CL_Size` | `(`int` `w`, `int` `h`)`;

## Description:

It contains width, height

## Function Member Descriptions:

CL_Size::CL_Size - Create an empty size (width = height = 0)
`` `CL_Size` `()`;

CL_Size::CL_Size - Create a size, setting the width and height
`` `CL_Size` `(`int` `w`, `int` `h`)`;

> w = Width
> h = Height

## Variable Member Descriptions:

CL_Size::height - The height
``int`` ``height`;`

CL_Size::width - The width
``int`` ``width`;`